To: linux-m68k@lists.linux-m68k.org
Subject: L68K: CONFIG_ATARI_SCSI_RESET_BOOT
X-Yow: Yow!  I just went below the poverty line!
From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: 30 Mar 1998 10:43:26 +0200
Sender: owner-linux-m68k@phil.uni-sb.de

This patch introduces a new configuration option
CONFIG_ATARI_SCSI_RESET_BOOT for 2.1.90.

Andreas.

----------------------------------------------------------------------
--- arch/m68k/config.in.~1~	Mon Mar 23 18:21:28 1998
+++ arch/m68k/config.in	Fri Mar 27 19:49:52 1998
@@ -202,9 +202,12 @@
 fi
 if [ "$CONFIG_ATARI" = "y" ]; then
   dep_tristate 'Atari native SCSI support' CONFIG_ATARI_SCSI $CONFIG_SCSI
-  bool 'Long delays for Toshiba CD-ROMs' CONFIG_ATARI_SCSI_TOSHIBA_DELAY
-  if [ "$CONFIG_EXPERIMENTAL" = "y" -a "$CONFIG_HADES" = "y" ]; then
-    bool 'Hades SCSI DMA emulator (EXPERIMENTAL)' CONFIG_TT_DMA_EMUL
+  if [ "$CONFIG_ATARI_SCSI" != "n" ]; then
+    bool '  Long delays for Toshiba CD-ROMs' CONFIG_ATARI_SCSI_TOSHIBA_DELAY
+    bool '  Reset SCSI-devices at boottime' CONFIG_ATARI_SCSI_RESET_BOOT
+    if [ "$CONFIG_EXPERIMENTAL" = "y" -a "$CONFIG_HADES" = "y" ]; then
+      bool '  Hades SCSI DMA emulator (EXPERIMENTAL)' CONFIG_TT_DMA_EMUL
+    fi
   fi
 fi
 if [ "$CONFIG_MAC" = "y" ]; then
--- arch/m68k/defconfig.~1~	Wed Mar 18 19:41:48 1998
+++ arch/m68k/defconfig	Fri Mar 27 19:53:27 1998
@@ -133,6 +133,8 @@
 # CONFIG_A4091_SCSI is not set
 # CONFIG_WARPENGINE_SCSI is not set
 CONFIG_ATARI_SCSI=y
+# CONFIG_ATARI_SCSI_TOSHIBA_DELAY is not set
+# CONFIG_ATARI_SCSI_RESET_BOOT is not set
 
 #
 # Network device support
--- drivers/scsi/atari_scsi.c.~1~	Mon Mar 23 18:26:03 1998
+++ drivers/scsi/atari_scsi.c	Fri Mar 27 19:45:54 1998
@@ -206,7 +206,9 @@
 static void falcon_release_lock_if_possible( struct NCR5380_hostdata *
                                              hostdata );
 static void falcon_get_lock( void );
+#ifdef CONFIG_ATARI_SCSI_RESET_BOOT
 static void atari_scsi_reset_boot( void );
+#endif
 static unsigned char atari_scsi_tt_reg_read( unsigned char reg );
 static void atari_scsi_tt_reg_write( unsigned char reg, unsigned char value);
 static unsigned char atari_scsi_falcon_reg_read( unsigned char reg );
@@ -675,7 +677,9 @@
         * IDE and floppy! */
        instance->irq = 0;
 
+#ifdef CONFIG_ATARI_SCSI_RESET_BOOT
 	atari_scsi_reset_boot();
+#endif
 	NCR5380_init (instance, 0);
 
 	if (IS_A_TT()) {
@@ -864,6 +868,7 @@
 }
 
 	
+#ifdef CONFIG_ATARI_SCSI_RESET_BOOT
 __initfunc(static void atari_scsi_reset_boot( void ))
 {
 	unsigned long end;
@@ -892,6 +897,7 @@
 
 	printk( " done\n" );
 }
+#endif
 
 
 const char * atari_scsi_info (struct Scsi_Host *host)
